async function PopulateSelect(mySelect, id) {
  let data = [];
  if (mySelect.name == "videos" && id != null) {
    data = await getDataProjectVideosFromApi(id);
    const selectObjDefault = document.createElement("option");
    selectObjDefault.value = -1;
    selectObjDefault.innerHTML = "Default";
    mySelect.appendChild(selectObjDefault);
    for (let i = 0; i < data.length; i++) {
      const selectObj = document.createElement("option");
      selectObj.value = data[i].id;
      selectObj.innerHTML = data[i].name;
      mySelect.appendChild(selectObj);
    }
  }
}
